package net.pterodactylus.sone.database;

import net.pterodactylus.sone.data.LocalSone;
import net.pterodactylus.sone.data.Sone;
import net.pterodactylus.sone.freenet.wot.OwnIdentity;

import com.google.common.base.Optional;

/**
 * Database functions for local Sones.
 *
 * @author <a href="mailto:bombe@pterodactylus.net">David ‘Bombe’ Roden</a>
 */
public interface LocalSoneDatabase {

	Optional<LocalSone> getLocalSone(String localSoneId);
	LocalSone registerLocalSone(OwnIdentity ownIdentity);
	String getLastInsertFingerprint(Sone sone);
	void setLastInsertFingerprint(Sone sone, String lastInsertFingerprint);

}
